Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for SAP BAPI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sapbapiadapter.sapbapi
Class FileTIDManagerImpl.TestFileTIDmanagerImpl

    java.lang.Object
      java.lang.Thread
          com.stc.connector.sapbapiadapter.sapbapi.FileTIDManagerImpl.TestFileTIDmanagerImpl

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  FileTIDManagerImpl

    public static class FileTIDManagerImpl.TestFileTIDmanagerImpl

extends java.lang.Thread

A standalone tester helper

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`FileTIDManagerImpl.TestFileTIDmanagerImpl(java.lang.String yourtid, java.lang.String youreid, java.lang.String yourAct)` creates a new TestFileTIDmanagerImpl, Constructor

Method Summary
`void` | `run()` Run method to execute the TestFileTIDmanagerImpl Thread

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileTIDManagerImpl.TestFileTIDmanagerImpl

    public FileTIDManagerImpl.TestFileTIDmanagerImpl(java.lang.String yourtid,
                                                     java.lang.String youreid,
                                                     java.lang.String yourAct)

  creates a new TestFileTIDmanagerImpl, Constructor

  Parameters:
    `yourtid` - the TID
    `youreid` - the EID
    `yourAct` - the Account

Method Detail

### run

    public void run()

  Run method to execute the TestFileTIDmanagerImpl Thread

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for SAP BAPI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD